> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/crashdetection/crashdetectionstate.md).

# CrashDetectionState

The detection state of a vehicle crash.

| Name                                                          | Description                                                                                   |
| ------------------------------------------------------------- | --------------------------------------------------------------------------------------------- |
| CANDIDATE\_DETECTED                                           | A crash candidate has been detected                                                           |
| CANDIDATE\_DISCARDED\_WEAK\_IMPACT                            | The crash candidate has been discarded due to weak impact                                     |
| CANDIDATE\_DISCARDED\_NON\_VEHICLE\_TRANSPORT\_MODE           | The crash candidate has been discarded due to non-vehicular transport mode                    |
| CANDIDATE\_DISCARDED\_PRE\_IMPACT\_NOISE                      | The crash candidate has been discarded due to too much noise in the pre-impact signal         |
| CANDIDATE\_DISCARDED\_LOW\_SPEED\_BEFORE\_IMPACT              | The crash candidate has been discarded due to low pre-impact speed                            |
| CANDIDATE\_DISCARDED\_POST\_IMPACT\_NOISE                     | The crash candidate has been discarded due to too much noise in the post-impact signal        |
| CANDIDATE\_DISCARDED\_HIGH\_SPEED\_AFTER\_IMPACT              | The crash candidate has been discarded due to high post-impact speed                          |
| CANDIDATE\_DISCARDED\_BAD\_LOCATION\_ACCURACY\_BEFORE\_IMPACT | The crash candidate has been discarded due to bad location accuracy leading up to the impact. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/crashdetection/crashdetectionstate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
